package dev.shadowsoffire.apotheosis.mixin;

package .tmp;

import net.minecraft.sounds.SoundEvent;
import net.minecraft.world.damagesource.DamageSource;
import net.minecraft.world.entity.LivingEntity;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Invoker;

@Mixin({LivingEntity.class})
public interface LivingEntityInvoker {
  @Invoker
  void callActuallyHurt(DamageSource paramDamageSource, float paramFloat);
  
  @Invoker
  boolean callCheckTotemDeathProtection(DamageSource paramDamageSource);
  
  @Invoker
  SoundEvent callGetDeathSound();
  
  @Invoker
  float callGetSoundVolume();
}
